# `export` command

Processes an SBOM and converts it to various graph formats. Note, that SPDX SBOMs lead to better results, as they describes inter package relations more precisely. However, some properties like the package section and essential can only be tracked in CycloneDX.

    usage: debsbom export [-h] [-t {cdx,spdx}] [--format {graphml}] [bomin] [out]

## Positional Arguments

`bomin`

  sbom file(s) to process for ‘bomin’. Use ‘-’ to read from stdin

`out`

  output file (optional)

## Named Arguments

`-t, --sbom-type`

  Possible choices: cdx, spdx

  SBOM type to process (default: auto-detect), required when reading from stdin

`--format`

  Possible choices: graphml

  graph output format (default: ‘graphml’)

  Default: `'graphml'`